> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get openapiv1salesorderssalesordersqueryinvalidsalesorders



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/SalesOrders/SalesOrders.queryInvalidSalesOrders
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/SalesOrders/SalesOrders.queryInvalidSalesOrders:
    get:
      tags:
        - SalesOrders
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/InvalidSalesOrderQueryOutputDTODynamicQueryOutputDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/InvalidSalesOrderQueryOutputDTODynamicQueryOutputDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/InvalidSalesOrderQueryOutputDTODynamicQueryOutputDTO
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OmnitroErrorCode'
            application/json:
              schema:
                $ref: '#/components/schemas/OmnitroErrorCode'
            text/json:
              schema:
                $ref: '#/components/schemas/OmnitroErrorCode'
components:
  schemas:
    InvalidSalesOrderQueryOutputDTODynamicQueryOutputDTO:
      required:
        - count
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InvalidSalesOrderQueryOutputDTO'
        count:
          type: integer
          format: int32
      additionalProperties: false
    OmnitroErrorCode:
      enum:
        - ReferenceNumberAlreadyExists
        - EmptyAddressFirstName
        - EmptyAddressLastName
        - EmptyAddressPhone
        - EmptyAddressOne
        - EmptyAddressCity
        - EmptyAddressPostalCode
        - EmptyAddressCountry
        - EmptyCustomerFirstName
        - EmptyCustomerLastName
        - EmptyCustomerPhone
        - CustomerEmailWrongFormat
        - EmptyLineItemSku
        - LineItemQuantityError
        - LineItemNotFound
        - EmptySalesOrderPaymentCurrency
        - EmptySalesOrderPaymentTotalPaymentAmount
        - EmptyCoDKey
        - EmptyOrMultipleCodKey
        - CoDKeysNotEqualToPaymentGateway
        - SalesOrderPaidWhenCoDKeysExist
        - SalesOrderNotPaidWhenCoDPassive
        - UnsupportedCurrency
        - CargoCarrierShouldBeUpsWhenCargoCodeNull
        - CargoCarrierShouldNotBeEmptyWhenCargoCodeNotNull
        - UnhandledException
        - UpdateFromDifferentIntegration
        - ReferenceNumberTooLong
        - SalesOrderHasLineItemsWithSameSku
        - NullReferenceNumberPrefix
        - ReferenceNumberPrefixLength
        - ReferenceNumberPrefixExist
        - CargoCarrierNotFound
        - InvalidSalesOrderReferenceNumber
        - InvalidReceivingOrderReferenceNumber
        - InternationalCustomsProductPriceError
        - ProductSkuAlreadyExists
        - EmptyReceivingOrderShipmentDate
        - InvalidReceivingOrderShipmentDate
        - TenantNameEmpty
        - ReceivingOrderReferenceNumberEmpty
        - ReceivingOrderExpectedDeliveryDateEmpty
        - >-
          CargoDocumentURLAndCargoCodeShouldBeEmptyWhenCargoTypeIsSameDayDelivery
        - InvalidCountry
        - InvalidCity
        - InvalidDistrict
        - InvalidUrl
        - InvalidAddress
        - IntegrationDoesNotSupportPayload
        - GiftWrapType
        - GiftNotesTooLong
        - InvalidExpectedShipmentDate
        - EmptyExpectedShipmentDate
        - EmptyIntegrationId
        - InvalidReferenceNumber
        - SameDayDeliveryNotEnabled
        - OutOfCoverageSameDayDelivery
        - ReceivingOrderTransferTypeEmpty
        - CargoCodeAndCargoDocumentUrlCannotBeNullOrEmpty
        - CancelledSalesOrder
        - SalesOrderDoesNotSupportCargoInfoUpdate
        - DeliveredSalesOrder
        - TenantIdCannotBeEmpty
        - TenantAlreadyHasStaticToken
        - IntegrationDoesNotSupportStaticToken
        - ReceivingOrderTransferTypeTransferDetailsMismatch
        - AddressFirstNameMaxLength
        - AddressLastNameMaxLength
        - AddressPhoneMaxLength
        - AddressEmailMaxLength
        - AddressOneMaxLength
        - AddressTwoMaxLength
        - AddressDistrictMaxLength
        - AddressPostalCodeMaxLength
        - AddressCityMaxLength
        - AddressCountryMaxLength
        - InvalidCodReceiptTotalAmount
        - MarketplaceNoCoD
        - InvalidCargoDocumentUrlForExcel
        - InvalidCargoDocumentUrlForOpenApiIntegration
        - InvalidVasDocumentUrlForExcel
        - InvalidVasDocumentUrlForOpenApiIntegration
        - IntegrationIsNotActive
      type: string
    InvalidSalesOrderQueryOutputDTO:
      required:
        - createdAt
        - error
        - id
        - isPaid
        - openApiIdentifier
      type: object
      properties:
        id:
          type: string
          format: uuid
        referenceNumber:
          type: string
        integrationType:
          $ref: '#/components/schemas/IntegrationType'
        integrationName:
          type: string
        salesChannel:
          type: string
        customerFullName:
          type: string
        paymentGatewayNames:
          type: string
        isPaid:
          type: boolean
        error:
          $ref: '#/components/schemas/OmnitroErrorCode'
        createdAt:
          type: string
          format: date-time
        openApiIdentifier:
          $ref: '#/components/schemas/OpenApiIdentifier'
      additionalProperties: false
    IntegrationType:
      enum:
        - CudExcludedIntegrations
        - SyncExcludedIntegrations
        - InventoryNotificationExcludedIntegrations
        - FulfillmentNotificationExcludedIntegrations
        - FulfillmentNotificationViaPackage
        - CreatePackageByQuantity
        - Oplog
        - Shopify
        - OpenApi
        - Custom
        - WooCommerce
        - Ticimax
        - TSoft
        - Default
        - Entegra
        - Trendyol
        - OrderDesk
        - Sentos
      type: string
    OpenApiIdentifier:
      enum:
        - None
        - Ikas
        - Pixa
        - Shopiverse
        - Logo
        - MNM
        - Dopigo
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````